Skip to main content
PUT
/
v1
/
oauth2
/
register
/
{client_id}
Update Client
curl --request PUT \
  --url https://api.spairehq.com/v1/oauth2/register/{client_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "redirect_uris": [
    "<string>"
  ],
  "client_name": "<string>",
  "client_id": "<string>",
  "token_endpoint_auth_method": "client_secret_post",
  "grant_types": [
    "authorization_code",
    "refresh_token"
  ],
  "response_types": [
    "code"
  ],
  "scope": "openid profile email user:read user:write organizations:read organizations:write custom_fields:read custom_fields:write discounts:read discounts:write checkout_links:read checkout_links:write checkouts:read checkouts:write transactions:read transactions:write payouts:read payouts:write products:read products:write benefits:read benefits:write events:read events:write meters:read meters:write files:read files:write subscriptions:read subscriptions:write customers:read customers:write members:read members:write wallets:read wallets:write disputes:read customer_meters:read customer_sessions:write member_sessions:write customer_seats:read customer_seats:write orders:read orders:write client_invoices:read client_invoices:write refunds:read refunds:write payments:read email_subscribers:read email_subscribers:write email_broadcasts:read email_broadcasts:write metrics:read webhooks:read webhooks:write license_keys:read license_keys:write customer_portal:read customer_portal:write notifications:read notifications:write notification_recipients:read notification_recipients:write organization_access_tokens:read organization_access_tokens:write",
  "client_uri": "<string>",
  "logo_uri": "<string>",
  "tos_uri": "<string>",
  "policy_uri": "<string>",
  "default_sub_type": "organization"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Path Parameters

client_id
string
required

Body

application/json
redirect_uris
string<uri>[]
required
Minimum string length: 1
client_name
string
required
client_id
string
required
token_endpoint_auth_method
enum<string>
default:client_secret_post
Available options:
client_secret_basic,
client_secret_post,
none
grant_types
enum<string>[]
Available options:
authorization_code,
refresh_token
response_types
string[]
Allowed value: "code"
scope
string
default:openid profile email user:read user:write organizations:read organizations:write custom_fields:read custom_fields:write discounts:read discounts:write checkout_links:read checkout_links:write checkouts:read checkouts:write transactions:read transactions:write payouts:read payouts:write products:read products:write benefits:read benefits:write events:read events:write meters:read meters:write files:read files:write subscriptions:read subscriptions:write customers:read customers:write members:read members:write wallets:read wallets:write disputes:read customer_meters:read customer_sessions:write member_sessions:write customer_seats:read customer_seats:write orders:read orders:write client_invoices:read client_invoices:write refunds:read refunds:write payments:read email_subscribers:read email_subscribers:write email_broadcasts:read email_broadcasts:write metrics:read webhooks:read webhooks:write license_keys:read license_keys:write customer_portal:read customer_portal:write notifications:read notifications:write notification_recipients:read notification_recipients:write organization_access_tokens:read organization_access_tokens:write
client_uri
string | null
logo_uri
string<uri> | null
Required string length: 1 - 2083
tos_uri
string<uri> | null
Required string length: 1 - 2083
policy_uri
string<uri> | null
Required string length: 1 - 2083
default_sub_type
enum<string>
default:organization
Available options:
user,
organization

Response

Successful Response